import '../../../colors.dart';
import '../../swatch_base.dart';

/// Material Design shades of grey.
///
/// See also
/// - [grey](https://api.flutter.dev/flutter/material/Colors/grey-constant.html)
class Greyish extends SwatchBase {
  /// 9 shades of grey. The greater the index, the darker the color.
  ///
  /// Shades
  /// - ultra light, 50; very light, 100; light, 200; lighter, 300, bit lighter,
  ///   400; default, 500; bit darker, 600; darker, 700; dark, 800; very dark,
  ///   900.
  const Greyish()
      : super(
          const [
            Grey.ultraLight(),
            Grey.veryLight(),
            Grey.light(),
            Grey.lighter(),
            Grey.bitLighter(),
            Grey(),
            Grey.bitDarker(),
            Grey.darker(),
            Grey.veryDark(),
          ],
        );
}
